[GET] Task Status⚓︎
Use this request to get information about a specific Task, including its processing statuses and auditing information.
Task Status⚓︎
GET/api/v1.0/external/sdtask/status?taskid=12345
Query Parameters⚓︎
| Name | Type | Description |
|---|---|---|
taskid | integer | The ID that identifies the task to retrieve data on. This ID is always unique and never changes after it has been created. |
externalId | string(optional) | An optional External ID, valid for your organization and added to the Task at creation, that uniquely identifies it in your Organization. |
At least one of taskId or externalId must be specified.
What is an "External ID"?
While you integrate with our API, you may wish to keep track of your Tasks using an already existing identifier which is meaningful for your system and your business.
This is the purpose of the External ID - you can populate it with any string of text, as long as it is unique in your organization.
Example Request⚓︎
curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/status?taskId=44'
--header 'Authorization: Bearer {your access token here}'
var client = new HttpClient();
var accessToken = "your access token here";
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/status?taskId=12345");
request.Headers.Add("Authorization", $"Bearer {accessToken}");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/status?taskId=12345"
access_token = "your access token here"
payload = {}
headers = {
'Authorization': f'Bearer {access_token}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
const myHeaders = new Headers();
const accessToken = "your access token here";
myHeaders.append("Authorization", `Bearer ${accessToken}`);
const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/status?taskId=12345", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
Responses⚓︎
{
"taskId": 44,
"workspaceId": 1,
"batchId": 1,
"taskNumber": 1,
"externalId": null,
"displayName": "Task display name",
"description": "Task description",
"createdOn": "2022-03-16T16:59:55Z",
"taskStatus": 4,
"integrationStatus": 4,
"taskStatusText": "InReview",
"integrationStatusText": "Failed",
"totalPages": 10,
"restartCount": 2,
"preProcessingStartedOn": "2022-03-16T16:59:55Z"
}
Response Body GetTaskStatusResponse⚓︎
| Name | Type | Description |
|---|---|---|
taskId | integer | The unique identifier of your Task. |
workspaceId | integer | The ID of the workspace this task belongs to. |
batchId | integer (optional) | Optional ID of the Batch this tasks belong to. If the Task does not belong to a Batch, this value will be null. |
taskNumber | integer (optional) | A sequential ID, by Workspace, for each Task. This ID is only available on Tasks created after August 2023. |
externalId | string (optional) | The unique External ID of your Task. |
displayName | string | The display name of this Task. |
description | string (optional) | The description of this Task. It is optional and only available to some tenants. |
createdOn | datetime (optional) | UTC timestamp of when the task was created in our system. |
taskStatus | TaskStatus (optional) | The processing status of this Task. |
integrationStatus | IntegrationStatus (optional) | The integration status of this Task. |
taskStatusText | string (optional) | A textual representation of the Task Status value for ease of use. |
integrationStatusText | string (optional) | A textual representation of the Task Integration Status value for ease of use. |
totalPages | integer | For documents represents the number of pages processed. For audio or video, the number of minutes processed. May be 0 if request is made imediately after Task creation. |
restartCount | integer (optional) | The number of re-processing attempts for this Task. Only returned whenever the Task has been re-processed at least once. preProcessingStartedOn is updated automatically for each (re)process. |
preProcessingStartedOn | datetime (optional) | UTC timestamp indicating the last time pre-processing occurred for this task, i.e. each time the task was (re)processed. |
You can use the createdOn, preProcessingStartedOn, restartCount and totalPages fields to decide if the task requires re-processing, as it may have gotten stuck in processing due to a variety of errors.
Response body has no content.
Info
Note
Returned when no Task was found with the specified taskId or externalId.
Response body has no content.
Info
Note
Returned when a taskId or externalId are not specified.